diff --git a/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/domain/HotelSummary.java b/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/domain/HotelSummary.java
index 35b4b3e262a..c22e8ad760e 100644
--- a/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/domain/HotelSummary.java
+++ b/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/domain/HotelSummary.java
@@ -25,7 +25,7 @@
 	Double getAverageRating();
 
 	default Integer getAverageRatingRounded() {
-		return (getAverageRating() != null ? (int) Math.round(getAverageRating()) : null);
+		return (getAverageRating() != null) ? (int) Math.round(getAverageRating()) : null;
 	}
 
 }
diff --git a/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/service/HotelServiceImpl.java b/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/service/HotelServiceImpl.java
index 0969ca601ee..427f659cb8b 100644
--- a/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/service/HotelServiceImpl.java
+++ b/spring-boot-samples/spring-boot-sample-data-jpa/src/main/java/sample/data/jpa/service/HotelServiceImpl.java
@@ -91,7 +91,7 @@ public ReviewsSummary getReviewSummary(Hotel hotel) {
 		@Override
 		public long getNumberOfReviewsWithRating(Rating rating) {
 			Long count = this.ratingCount.get(rating);
-			return (count != null ? count : 0);
+			return (count != null) ? count : 0;
 		}
 
 	}
diff --git a/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/domain/VehicleIdentificationNumber.java b/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/domain/VehicleIdentificationNumber.java
index c3ac249fe8c..003b4902377 100644
--- a/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/domain/VehicleIdentificationNumber.java
+++ b/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/domain/VehicleIdentificationNumber.java
@@ -33,11 +33,6 @@ public VehicleIdentificationNumber(String vin) {
 		this.vin = vin;
 	}
 
-	@Override
-	public int hashCode() {
-		return this.vin.hashCode();
-	}
-
 	@Override
 	public boolean equals(Object obj) {
 		if (obj == this) {
@@ -49,6 +44,11 @@ public boolean equals(Object obj) {
 		return this.vin.equals(((VehicleIdentificationNumber) obj).vin);
 	}
 
+	@Override
+	public int hashCode() {
+		return this.vin.hashCode();
+	}
+
 	@Override
 	public String toString() {
 		return this.vin;
diff --git a/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/service/VehicleDetails.java b/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/service/VehicleDetails.java
index e0515ff56de..b565fc0f992 100644
--- a/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/service/VehicleDetails.java
+++ b/spring-boot-samples/spring-boot-sample-test/src/main/java/sample/test/service/VehicleDetails.java
@@ -49,11 +49,6 @@ public String getModel() {
 		return this.model;
 	}
 
-	@Override
-	public int hashCode() {
-		return this.make.hashCode() * 31 + this.model.hashCode();
-	}
-
 	@Override
 	public boolean equals(Object obj) {
 		if (obj == this) {
@@ -66,4 +61,9 @@ public boolean equals(Object obj) {
 		return this.make.equals(other.make) && this.model.equals(other.model);
 	}
 
+	@Override
+	public int hashCode() {
+		return this.make.hashCode() * 31 + this.model.hashCode();
+	}
+
 }
diff --git a/spring-boot-samples/spring-boot-sample-websocket-jetty/src/main/java/samples/websocket/jetty/echo/DefaultEchoService.java b/spring-boot-samples/spring-boot-sample-websocket-jetty/src/main/java/samples/websocket/jetty/echo/DefaultEchoService.java
index dcb00af08e3..91a128c3a5c 100644
--- a/spring-boot-samples/spring-boot-sample-websocket-jetty/src/main/java/samples/websocket/jetty/echo/DefaultEchoService.java
+++ b/spring-boot-samples/spring-boot-sample-websocket-jetty/src/main/java/samples/websocket/jetty/echo/DefaultEchoService.java
@@ -21,7 +21,7 @@
 	private final String echoFormat;
 
 	public DefaultEchoService(String echoFormat) {
-		this.echoFormat = (echoFormat != null ? echoFormat : "%s");
+		this.echoFormat = (echoFormat != null) ? echoFormat : "%s";
 	}
 
 	@Override
diff --git a/spring-boot-samples/spring-boot-sample-websocket-tomcat/src/main/java/samples/websocket/tomcat/echo/DefaultEchoService.java b/spring-boot-samples/spring-boot-sample-websocket-tomcat/src/main/java/samples/websocket/tomcat/echo/DefaultEchoService.java
index d6b82ce10ad..d20efe0479b 100644
--- a/spring-boot-samples/spring-boot-sample-websocket-tomcat/src/main/java/samples/websocket/tomcat/echo/DefaultEchoService.java
+++ b/spring-boot-samples/spring-boot-sample-websocket-tomcat/src/main/java/samples/websocket/tomcat/echo/DefaultEchoService.java
@@ -21,7 +21,7 @@
 	private final String echoFormat;
 
 	public DefaultEchoService(String echoFormat) {
-		this.echoFormat = (echoFormat != null ? echoFormat : "%s");
+		this.echoFormat = (echoFormat != null) ? echoFormat : "%s";
 	}
 
 	@Override
diff --git a/spring-boot-samples/spring-boot-sample-websocket-undertow/src/main/java/samples/websocket/undertow/echo/DefaultEchoService.java b/spring-boot-samples/spring-boot-sample-websocket-undertow/src/main/java/samples/websocket/undertow/echo/DefaultEchoService.java
index 0326a0a2d79..aa5c28ee6d4 100644
--- a/spring-boot-samples/spring-boot-sample-websocket-undertow/src/main/java/samples/websocket/undertow/echo/DefaultEchoService.java
+++ b/spring-boot-samples/spring-boot-sample-websocket-undertow/src/main/java/samples/websocket/undertow/echo/DefaultEchoService.java
@@ -21,7 +21,7 @@
 	private final String echoFormat;
 
 	public DefaultEchoService(String echoFormat) {
-		this.echoFormat = (echoFormat != null ? echoFormat : "%s");
+		this.echoFormat = (echoFormat != null) ? echoFormat : "%s";
 	}
 
 	@Override
